#exercice 3:

LGN <- function(p){

  for(i in 1:5){
    A=rbinom(500,size=1,prob=p);
    V=cumsum(A);
    D=1:500;
    V=V/D;
    x11()
    plot(V,type="l");
    W=p*rep(1,500);
    lines(W);
  }
}

LGN(0.5)
LGN(0.75)

help(cumsum)
help(rep)

#A=rbinom(500,size=1,prob=p) indique que A suit une loi binomiale
#V=cumsum(A) retourne le vecteur V dont la valeur vaut la somme des lments de A
#V=V/D calcul la moyenne empirique
#x11() ouvre une fentre graphique
#plot cre le graphe, la courbe reprsentant la loi faible des grands nombres
#rep rpte pour les valeur 1  500
#lines(w) permet de tracer la ligne qui reprsente p sur l'intervalle allant de 1  500

# le programme calcule la moyenne empirique pour les valeurs allant de 0  500 puis les trace, et trace la ligne reprsentant p
#comme i va de 1  5 on obtient 5 graphes

#Nouveau programme modifi:
LGN <- function(p){

  for(i in 1:5){
    A=rbinom(500,size=1,prob=p);
    V=cumsum(A);
    D=1:500;
    V=V/D;
    x11()
    plot(V,type="l");
    title(main="loi faible des grands nombres",xlab="D",ylab="V")#main donne un titre, xlab et ylab nomment les axes 	
    W=p*rep(1,500);
    lines(W,col="red"); #valeur de p en rouge 
  }
}

LGN(0.5)


