setwd("C:/Documents and Settings/A276/Bureau")

thc <- read.table("thc.txt",col.names=c("modalites","observations"))

GA <- read.table("thc.txt",col.names=c("modalites","observations"),nrows=10)
GB <- read.table("thc.txt",col.names=c("modalites","observations"),skip=10,nrows=10)
GC <- read.table("thc.txt",col.names=c("modalites","observations"),skip=20,nrows=9)
GD <- read.table("thc.txt",col.names=c("modalites","observations"),skip=29,nrows=8)
GE <- read.table("thc.txt",col.names=c("modalites","observations"),skip=37,nrows=10)

moyGA <- mean(GA$observations)
moyGB <- mean(GB$observations)
moyGC <- mean(GC$observations)
moyGD <- mean(GD$observations)
moyGE <- mean(GE$observations)

moyGA 
moyGB 
moyGC 
moyGD 
moyGE 

varGA <- var(GA$observations)
varGB <- var(GB$observations)
varGC <- var(GC$observations)
varGD <- var(GD$observations)
varGE <- var(GE$observations)

varGA 
varGB 
varGC 
varGD 
varGE 

moyennes <- c(moyGA,moyGB,moyGC,moyGD,moyGE)
hist(moyennes)

variances <- c(varGA,varGB,varGC,varGD,varGE) 
hist(variances)



questions 2,3,4:

bartlett.test(thc)

mod <- (thc$modalite)
obs <- (thc$observation)
thc2 <- data.frame(mod,obs)

analyse <- aov(mod~obs,data=thc2)
summary(analyse)

#test de Fisher appliqué 2 à 2 aux 10 groupes:

thc <- read.table("thc.txt",col.names=c("modalites","observations"))

fisher1 <- var.test(GA$observations,GB$observations)

fisher2 <- var.test(GA$observations,GC$observations)

fisher3 <- var.test(GA$observations,GD$observations)

fisher4 <- var.test(GA$observations,GE$observations)

fisher5 <- var.test(GB$observations,GC$observations)

fisher6 <- var.test(GB$observations,GD$observations)

fisher7 <- var.test(GB$observations,GE$observations)

fisher8 <- var.test(GC$observations,GD$observations)

fisher9 <- var.test(GC$observations,GE$observations)

fisher10 <- var.test(GD$observations,GE$observations)

#ensuite on regarde la p-valeur si alpha< pvaleur on accepte le test a 95%, 
valeur de alpha=0.005 par défaut, sinon on reffuse le test.
