indice <- read.table("./indC.txt",sep="\t",header=TRUE)

Date <- length(indice$Date):1
Construction <- indice$Construction
Loyers <- indice$Loyers
Reg <- lm(Loyers~Date+Construction)
summary(Reg)
cor.test(Loyers,Construction,method="pearson")

new <- data.frame(Construction=c(1562),Date=c(23))
predict(Reg,new)


Reg <- lm(Loyers~Date)

new <- data.frame(Date=c(23))
predict(Reg,new)


Reg <- lm(Loyers~Construction)

new <- data.frame(Construction=c(1562))
predict(Reg,new)




ss <- read.table( "qi.txt",header=FALSE)

plot(ss)


qg <- read.table(
  "http://www.aliquote.org/cours/2006_cogmaster_A4/Howell/data/tab9-7.dat"
)[-1]
names(qg) <- c("qi","gpa")
qg.lm <- lm(gpa~qi,data=qg)
plot(qg)
abline(qg.lm$coefficients)


thc <- read.table("thc.txt")

e1<-thc[1:10,2]
e2<-thc[11:20,2]
e3<-thc[21:29,2]
e4<-thc[30:37,2]
e5<-thc[38:47,2]

bartlett.test(list(e1,e2,e3,e4,e5))
analyse <- aov(V2~V1,data=thc)
summary(analyse)


pop <- read.table("pop.txt");

ann <- pop$V1;
hab <- pop$V2;

plot(ann,hab)

cor(ann,hab)
cor.test(ann,hab,method="pearson")
Reg1 <- lm(hab~ann)
abline(Reg1)
new <- data.frame(ann=c(2010))
predict(Reg1,newdata=new,interval="confidence")


ann <- pop$V1;
hab <- sqrt(pop$V2);

plot(ann,hab)

cor(ann,hab)
cor.test(ann,hab,method="pearson")
Reg1 <- lm(hab~ann)
abline(Reg1)
new <- data.frame(ann=c(2010))
predict(Reg1,newdata=new,interval="confidence")^2





nP = 100;
nX = 1000;
X = rnorm(nX,0,1);


hh <- partition(X);

eff <- hh$counts;
classes <- hh$breaks;
th <- pnorm(classes,0,1);
th[length(classes)]<- 1
th[1] <-0
proba_theo <- diff(th)
tt <- chisq.test(eff,p=proba_theo)



Np = 100;
nX = 1000;
Pv <- 1:Np;
for(k in 1:Np){
  X = rnorm(nX,0,1);
  hh <- partition(X);
  
  eff <- hh$counts;
  classes <- hh$breaks;
  th <- pnorm(classes,0,1);
  th[length(classes)]<- 1
  th[1] <-0
  proba_theo <- diff(th)
  tt <- chisq.test(eff,p=proba_theo)
  Pv[k] <- tt$p.value;
}
