tauber <- read.table("tauber.txt",skip=8,header=TRUE,dec=",")

ma <- mean(tauber$AGE)/12
mt <- mean(tauber$TAILLE)
mp <- mean(tauber$POIDS)

va <- var(tauber$AGE)/12
vt <- var(tauber$TAILLE)
vp <- var(tauber$POIDS)


iG <- tauber$GENRE == "M"
iF <- tauber$GENRE == "F"


tailleG <- tauber$TAILLE[iG]
tailleF <- tauber$TAILLE[iF]

hist(tailleG)
hist(tailleF)

var.test(tailleG,tailleF)
t.test(tailleG,tailleF,alternative="two.sided",var.equal=TRUE)


imc <-  trunc(tauber$POIDS/((tauber$TAILLE/100)^2))
timc <- table(tauber$AGE,imc)

nbG <- length(tauber[tauber=="M"])
nbF <- length(tauber[tauber=="F"])
max(tauber$TAILLE)
min(tauber$TAILLE)

max(tauber$POIDS)
min(tauber$POIDS)


t <- seq(95,140,5)
n <- length(t)

p <- seq(10,40,5)
m <- length(p)


Tab <- matrix(nrow=n-1,ncol=m-1)

for(i in 1:n-1){
    cT <- tauber$TAILLE > t[i] & tauber$TAILLE < t[i+1]
    for(j in 1:m-1){
      cP <- tauber$POIDS > p[j] & tauber$POIDS < p[j+1]
      CC <- cT & cP
      Tab[i,j] <- length(CC[CC])
    }
}


##

sida <- read.table("sida.txt",skip=15,header=TRUE,sep="\t")

tab <- table(sida$XHIV,sida$NT)
 chisq.test(tab,correct=FALSE)

iG <- sida$SEXE == 1
iF <- sida$SEXE == 2


tab2 <- table(sida$XHIV,sida$SEXE)
tc2 <- chisq.test(tab2,correct=FALSE)

tab3 <- table(sida$XHIV,sida$AGE)
chisq.test(tab3,correct=FALSE)

X <- c("bleu","vert","bleu","marron","marron")
Y <- c("brun","brun","blond","roux","roux")
table(X,Y)


X <- c("bleu","vert","bleu","marron","marron","bleu")
Y <- c("brun","roux","blond","brun","brun","blond")
table(X,Y)
X <- c("bleu","vert","bleu","marron","marron","bleu","vert","marron","bleu")
Y <- c("brun","roux","blond","brun","brun","blond","blond","brun","roux")
table(X,Y)
