##
## Planche de TP 1 - commandes elementaires
##


## Exercice 1 (premieres commandes)

#1.
chiffre<-8
mot<-"exemple"
logique<-TRUE
ls()
ls.str()

#2.
help(rm)
rm(mot)
ls()

#3.
18*6/(3-1) -> 2calcul
# => Erreur : symbole inattendu dans "18*6/(3-1) -> 2calcul"
# Le nom d'une variable doit commencer par une lettre

# modification :
18*6/(3-1) -> calcul2
calcul2

#4.
x<-1/0
print(x) # renvois Inf
exp(x) # Inf
exp(-x) # 0
x-x # NaN




##
## Exercice 2 Data.frame
##

rm(list = ls())

#1.
age<-c(19,24,20,20);poids<-c(51,65,72,70);taille<-c(1.60,1.70,1.80,1.75)

#2.
etu<-data.frame(age,poids,taille,row.names = c("Sophie","Pierre","Walid","Luc"))

#3.
mean_etu<-mean(etu)
var(etu) # tableau variance/covariance -> prendre la diagonale
var_etu<-diag(var(etu))
var(age);var(poids);var(taille);

#4.
imc <- etu$poid/etu$taille^2
# data.entry(etu)
etu<-data.frame(etu,imc)


##
## Exercice 3 Donnees aleatoires
##
rm(list = ls())

#1.
x1 = rnorm(10,0,1)
x2 = rnorm(100)
x3 = rnorm(1000)

mean(x1);mean(x2);mean(x3);
var(x1);var(x2);var(x3);
# resultats ok pour x2 x3. Bof pour x1. Loi des grands nombres : convergence pour n->inf
# il faut un nombre "suffisant" de donnees pour que les statistiques soient bonnes

#2.
x1 = rbinom(10,1,0.5)
x2 = rbinom(100,1,0.5)
x3 = rbinom(1000,1,0.5)

mean(x1);mean(x2);mean(x3);
var(x1);var(x2);var(x3);
# mean(x) = p ; var(x)=p(1-p)
# de meme que ci-dessus


x1 = runif(10,0,1)
x2 = runif(100)
x3 = runif(1000)

mean(x1);mean(x2);mean(x3);
var(x1);var(x2);var(x3);
# mean(x) = (a+b)/2    var(x) = (b-a)/12
# ...




##
## Exercice 4 Serie temporelle
##
rm(list = ls())

#1.
X = seq(345,345+3*10+3*12*5+3*6,3);
evo<-ts(X,start = c(1999,2), end = c(2006,6), frequency=12) 

#2.
alea = rnorm(length(X),3,2)
evo_alea = ts(X+alea,start = c(1999,2), end = c(2006,6), frequency=12) 




##
## Exercice 5 Calcul matriciel
##
rm(list = ls())

#1.

help(solve) # resoudre l'equation A x = b ; A matrice, x et b vecteur ou matrice ; par defaut b=Identite et solve permet de calculer inv(A)
help(eigen) # calcul les valeurs propres et les vecteurs propres d'une matrice
help(t)     # transposition d'une matrice

#2.
A<-matrix(c(0,1,1,1,1,0,-1,-1,1,-1,0,-1,1,-1,-1,0), nr=4,nc=4)
B<-matrix(c(1,0,1,0,0,0,0,1,1,0,0,0,0,0,1,0), nr=4,nc=4)

invA = solve(A)
transB = t(B)
# Calcul numérique, pas formel

#3. 
3*A;A+B;A%*%B;B%*%A

#4.
eigen(A)

#5.
eigen(A)$values  #permet de recuperer seulement les valeurs propres
X <- eigen(A)$vectors

#6.
A%*%X-X%*%diag(eigen(A)$values)
A-X%*%diag(eigen(A)$values)%*%solve(X)

#7.
# A^p = P D^p P^-1

puissance_matrice <- function(A,p)
{
	eig = eigen(A);
	D <- diag(eig$values)
	P <- eig$vectors
	Ap = P%*%D^p%*%solve(P)
	return(Ap)
}
