##
## Planche 5.
##



## Exercice 1. Convergence vers une loi du  chi2

#1.
n <- 50
M <- 100

X <- rbinom(M*n,1,0.5)
dim(X) = c(M,n)


#2.
N1 <- rowSums(X)
N0 <- 50-N1;

p0 <- 1/2
p1 <- 1/2

Z <- (N0-n*p0)^2/(n*p0) + (N1-n*p1)^2/(n*p1)

#3.
H <- hist(Z,10,proba=TRUE)
x = seq(0.001,max(Z),0.01);
lines(x,dchisq(x,1))


#4.
pchisq(0.5,1)*(1-pchisq(0,1))
H$breaks
H$counts/M

#5.
my_hist <-  function(M,n){

X <- rbinom(M*n,1,0.5)
dim(X) = c(M,n)


N1 <- rowSums(X)
N0 <- n-N1;

p0 <- 1/2
p1 <- 1/2

Z <- (N0-n*p0)^2/(n*p0) + (N1-n*p1)^2/(n*p1)
hist(Z,10,proba=TRUE)
x = seq(0.001,max(Z),0.01);
lines(x,dchisq(x,1))
}

my_hist(1000,100)




## Exercice 2. Convergence vers une loi du  chi2

alpha <- 0.05


Obs <- matrix(c(44,6,156,44),2,2) # Effectifs observés
Ni <- rowSums(Obs)
Nj <- colSums(Obs)
n <- sum(Nj)
pi <- Ni/n
pj <- Nj/n
Th <- n*matrix(pi,1,2)%*%matrix(pj,2,1)) # Effectifs theoriques

Res <- (Obs-Th)^2/Th # Residu
D <- sum(Res)  # Stat de test

qchisq(1-alpha,1) # On accepte le test a 5%
1-pchisq(D,1) # P-valeur

X <- chisq.test(Obs,correct=FALSE)

# X$residual = (X$observed-X$expected)/(X$expected)



## Exercice 3. Poissons



#1.
# H0 : Le type de poisson ne depend pas du lieu (independance)
# H1 : Depend du lieu

#2.
Obs <- matrix(c(39,84,105,9,136,13,26,141,13,3,15,42),3,4)
Ni <- rowSums(Obs)
Nj <- colSums(Obs)
n  <- sum(Nj)
pi <- Ni/n
pj <- Nj/n
Th <- n*matrix(pi,3,1)%*%matrix(pj,1,4) # Effectifs theoriques

X <- chisq.test(Obs,correct=FALSE)



