
EU<-read.table("pop_eu.txt",sep="\t",col.names=c("anne","population"))

#1)
pop<-c(EU$population)
annee<-c(EU$anne)

g<-plot(annee,pop)

#2)
cor.test(pop,annee,method="pearson")

#3)

reg<-lm(pop~annee)
abline(reg$coef)


#4)

Y2010<-data.frame(annee=c(2010))
pred<-predict(reg,newdata=Y2010,interval="prediction")
ponctuelle<-predict(reg,newdata=Y2010)

#5)
g2<-plot(annee,sqrt(pop))

#6)
reg2<-lm(sqrt(pop)~annee)
abline(reg2$coef)

#7)

Z2010<-data.frame(annee=c(2010))
pred2<-predict(reg2,newdata=Z2010,interval="prediction")


