##
## Planche 4.
##


## Exercice 1. Pedagogie

#1.

p1 <- read.table("../data/pedagogie.dat",skip=1,nrow=10,col.names=c("sujet","eval"))
p2 <- read.table("../data/pedagogie.dat",skip=13,col.names=c("sujet","eval"))


m1 <- mean(p1$eval)
m2 <- mean(p2$eval)
v1 <- var(p1$eval)
v2 <- var(p2$eval)

n1 <- length(p1$sujet)
n2 <- length(p2$sujet)
#2.

F <-  v1/v2

alpha <- 0.05

k1 <- qf(alpha/2,n1-1,n2-1)
k2 <- qf(1-alpha/2,n1-1,n2-1)

# Test a 5% ok
sigma <- v1*((n1-1)/(n1+n2-2)) + v2*((n2-1)/(n1+n2-2))
T <- abs(m1-m2)/sqrt(sigma*(1/n1+1/n2))

qt(1-alpha/2,n1+n2-2)

# Test a 1% ok


#3.

var.test(p1$eval,p2$eval)
# test a 5% ok : alpha < pv < 1-alpha


t.test(p1$eval,p2$eval,var.equal=TRUE)
# test a 5% ok




## Exercice 2.

dosage <-  read.table("../data/dosage.dat",sep="\t",na.strings="",header=TRUE)


t.test(dosage$Methode.A,dosage$Methode.B,var.equal=TRUE)

# Test ok a 1% mais pas a 5%

var.test(dosage$Methode.A,dosage$Methode.B)

# test ok a 1%


## Exercice 3.

stress <-  read.table("../data/stress.dat",sep="/",na.strings="",header=TRUE)

var.test(stress$CDD,stress$CDI)
t.test(stress$CDI,stress$CDD,alternative="greater")
